> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Pagination

Bridge's API uses page-style pagination. Use the `page` query parameter to set the page index, zero-based.

**`Page query example`**

```http request title="Page query example"
/api/services?page=4
```

## Limits

By default, list API's have a `limit` value of 100. That can be increased, though some API's may have a ceiling (documented in API Reference).

Configure this using the `limit` query parameter, available on all list endpoints.

## Response

List API's have a standardized "List Response" format, an `items` array (the results for the page) and a `count` value (the total count of all resources). The `count` may not be present on some endpoints (note in API reference).

**`List response example`**

```json title="List response example"
{
  "items": [
    { ... },
    { ... },
    { ... }
  ],
  "count": 134
}
```

## Filtering

Some endpoints support basic filtering, using query parameters. Only the parameters documented in the API Reference are supported. If multiple filters are used, they're evaluated as an `AND`.

**`Filtering query example`**

```http request title="Filtering query example"
/api/services?filter.patientId=pat_N48mIab&filter.serviceTypeId=stid_m17Zh8o
```

## Ordering

List endpoints have an appropriate default ordering, but this may be configured for some endpoints. Where documented, use the `order.` query parameters, value is `asc` or `desc`.
These can be used in conjunction with `filter.` parameters.

**`Ordering query example`**

```http request title="Ordering query example"
/api/services?order.createdAt=desc
```